<script type="text/javascript">
$(document).ready(function() {
    $(function() {
        $("#theList.detail tr:even").addClass("stripe1");
        $("#theList.detail tr:odd").addClass("stripe2");

        $("#theList.detail tr").hover(
            function() {
                $(this).toggleClass("highlight");
            },
            function() {
                $(this).toggleClass("highlight");
            }
        );
    });	
});

	function edit_data(ID){
		var kode = ID;
						
		$.ajax({
			type	: "POST",
			url		: "modul/jurnal_umum/edit.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_nourut").val(data.nourut);
				$("#txt_noakun").val(data.noakun);
				$("#txt_nobp").val(data.nobp);
				$("#txt_naakun").val(data.naakun);
				$("#txt_namabp").val(data.namabp);
				$("#txt_ket").val(data.ket);
				$("#txt_kodecab").val(data.kodecab);
				$("#txt_jumlah").val(data.jumlah);
			}
		});		
	}

	function hapus_data(ID){
		var pilih = confirm('Data yang akan dihapus kode = '+ID+ '?');
		if (pilih==true) {
		var kode = ID;
		$.ajax({
			type	: "POST",
			url		: "modul/jurnal_umum/hapus.php",
			data	: "kode="+kode,
			success	: function(data){
				$("#info").html(data);
				cek_nourut();
				tampil_data_detail();
			}
		});
		}
	}
	
	function cek_nourut(){
		var kode 	= $("#txt_kode").val();
			
		$.ajax({
			type	: "POST",
			url		: "modul/jurnal_umum/cari_nourut.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_nourut").val(data.nourut);
			}
		});
	}
	
	function tampil_data_detail(){
		var	kode=$("#txt_kode").val();
		$("#data_detail").load("modul/jurnal_umum/tampil_data_detail.php?kode="+kode);
		cari_total();
	}
	
	function cari_total(){
		var kode = $("#txt_kode").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/jurnal_umum/cari_total.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_tdebet").val(data.tdebet);
				$("#txt_tkredit").val(data.tkredit);				
			}
		});
	}		
</script>

<?php
include '../../inc/inc.koneksi.php';
$kode	= $_GET['kode'];
echo "<table id='theList' class='detail' width='100%'>
		<tr>
			<th>No.</th>
			<th>Kode Akun</th>
			<th>Nama Akun</th>
			<th>Kode BP</th>
			<th>Nama BP</th>
			<th>No.Faktur</th>
			<th>Cabang</th>
			<th>Keterangan</th>
			<th>Debet</th>
			<th>Kredit</th>
			<th>Aksi</th>
		</tr>";
		$query = mysql_query("SELECT * FROM jurnalum WHERE kode_ju='$kode' ORDER BY no_urut");
		
		$no=1;
		$tdebet=0;
		$tkredit=0;
		while($r=mysql_fetch_array($query)){
			$kode	= $r['kode_ju'].';'.$r['no_urut'];
			$tdebet = $tdebet+$r['debet'];
			$tkredit= $tkredit+$r['kredit'];

			echo "<tr>
				<td align='center'>$no</td>
				<td align='center'>$r[noakun]</td>
				<td>$r[naakun]</td>
				<td align='center'>$r[nobp]</td>
				<td>$r[namabp]</td>
				<td align='center'>$r[nofak]</td>
				<td>$r[kode_cab]</td>
				<td>$r[keterangan]</td>
				<td align='right'>".number_format($r['debet'],2)."</td>
				<td align='right'>".number_format($r['kredit'],2)."</td>
				<td align='center'>
					<a href='javascript:void(0)' onClick=\"edit_data('$kode')\">
						<img src='icon/thumb_up.png' border='0' id='edit' title='Edit' width='12' height='12'>
					</a>
					<a href='javascript:void(0)' onClick=\"hapus_data('$kode')\">
						<img src='icon/thumb_down.png' border='0' id='hapus' title='Hapus' width='12' height='12' >
					</a>
				</td>
			</tr>";
			$no++;			
		}
		echo "<tr>				
			<td></td>
			<td></td>
			<td></td>
			<td></td>
			<td></td>
			<td></td>
			<td></td>
			<td align='right'>Total </td>
			<td align='right'>".number_format($tdebet,2)."</td>
			<td align='right'>".number_format($tkredit,2)."</td>
		</tr>
	</table>";	
?>